src/vendor/msgpack/Makefile
tests/Makefile
tests/destructive/Makefile
+ tests/meta/Makefile
tests/regression/Makefile
tests/regression/kernel/Makefile
tests/regression/tools/Makefile
SUBDIRS =
if BUILD_TESTS
-SUBDIRS += . utils unit regression stress destructive perf
+SUBDIRS += . utils meta unit regression stress destructive perf
if HAVE_PGREP
check-am:
$(top_srcdir)/tests/utils/warn_processes.sh $(PGREP)
--- /dev/null
+# SPDX-License-Identifier: GPL-2.0-only
+
+LOG_DRIVER_FLAGS = --merge
+LOG_DRIVER = env PGREP='$(PGREP)' AM_TAP_AWK='$(AWK)' $(SHELL) \
+ $(top_srcdir)/tests/utils/tap-driver.sh
+
+TESTS = shellcheck-tests
--- /dev/null
+#!/usr/bin/env bash
+# SPDX-License-Identifier: GPL-2.0-only
+#
+# Copyright (c) 2023 Olivier Dion <odion@efficios.com>
+
+# Augment this list incrementally when a shell script passes shellcheck.
+#
+# All file must be relative to the test directory.
+files=(
+ meta/shellcheck-tests
+ run.sh
+)
+
+TESTDIR=$(dirname "$0")/..
+
+# shellcheck source=../utils/tap/tap.sh
+source "$TESTDIR/utils/tap/tap.sh"
+
+function shellcheck_ok() {
+ shellcheck --external-sources "$1"
+ ok $? "Checking $1"
+}
+
+plan_tests "${#files[@]}"
+
+for f in "${files[@]}";
+do
+ shellcheck_ok "$TESTDIR/$f"
+done